Bug 127326 - [NEW PORT] devel/xmltooling: Low level XML support for SAML
Summary: [NEW PORT] devel/xmltooling: Low level XML support for SAML
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-09-12 17:10 UTC by Janos Mohacsi
Modified: 2008-11-22 15:15 UTC (History)
0 users

See Also:


Attachments
xmltooling-1.1.shar (6.58 KB, text/plain)
2008-09-12 17:10 UTC, Janos Mohacsi
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Janos Mohacsi 2008-09-12 17:10:02 UTC
Shibboleth 2.x relies on OpenSAML 2, which in turn requires this 
lower-level library that provides a higher level interface to XML 
processing, particularly in light of signing and encryption. (It is not 
required by Shibboleth 1.3.x.)

This project is maintained as part of the OpenSAML 2 project and is 
supported with it.

WWW: https://spaces.internet2.edu/display/OpenSAML/XMLTooling-C

Generated with FreeBSD Port Tools 0.77

Warning requires some new port versions:
xerces-c version 2.8.0
xml-security-c version 1.4.0
Comment 1 Martin Wilke freebsd_committer 2008-09-12 17:23:17 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Martin Wilke freebsd_committer 2008-10-17 20:18:31 UTC
State Changed
From-To: open->feedback


Hi Janos 

The build failed on i386/amd64 

could you please take a look in following urls? 

http://i386.miwibox.org/index.php?action=describe_port&id=1232 
http://amd64.miwibox.org/index.php?action=describe_port&id=1239 

- Martin
Comment 3 Mohacsi Janos 2008-10-18 11:38:53 UTC
Sorry!

It seems I missed some library files from pkg-plist:
Can you add to pkg-plist:

lib/libxmltooling-lite.a
lib/libxmltooling-lite.so
lib/libxmltooling.a
lib/libxmltooling.so

I don't really understand the existence of
usr/local/share/doc/xmltooling/api

since pkg-plist specifying its removal:

%%PORTDOCS%%@dirrm %%DOCSDIR%%/api

Regards,

Janos Mohacsi
Network Engineer, Research Associate, Head of Network Planning and Projects
NIIF/HUNGARNET, HUNGARY
Key 70EF9882: DEC2 C685 1ED4 C95A 145F  4300 6F64 7B00 70EF 9882

On Fri, 17 Oct 2008, miwi@FreeBSD.org wrote:

> Synopsis: [NEW PORT] devel/xmltooling: Low level XML support for SAML
>
> State-Changed-From-To: open->feedback
> State-Changed-By: miwi
> State-Changed-When: Fri Oct 17 19:18:31 UTC 2008
> State-Changed-Why:
>
> Hi Janos
>
> The build failed on i386/amd64
>
> could you please take a look in following urls?
>
> http://i386.miwibox.org/index.php?action=describe_port&id=1232
> http://amd64.miwibox.org/index.php?action=describe_port&id=1239
>
> - Martin
>
>
> http://www.freebsd.org/cgi/query-pr.cgi?pr=127326
>
Comment 4 Martin Wilke freebsd_committer 2008-11-22 15:15:33 UTC
State Changed
From-To: feedback->closed

New port added, with minor changes. I fixed now all self. Thanks!